# Enable the Core profile
#
execfile('WLDFProfiles.py')

argsDict = argsToDict(sys.argv)

connectIfNecessary(argsDict)

try:
  
  # obtain the WLDFSystemResourceMBean
  wldfResName = getValue(argsDict, 'wldfResource', 'mywldf')
    
  wldfRes = WLDFResource(wldfResName)
  wldfUtils = WLDFUtils()
  
  sessionName = getValue(argsDict, 'sessionName')
  jndiName = getValue(argsDict, 'sessionJNDIName', "mail/mymailSession")
  if sessionName is not None:
    ####
    #
    # NOTE: SMTP mail sessions will not be dynamically deployed in
    # versions of WLS prior to 10.0!  You must configure the
    # mail session prior to invoking this
    # script, and then only provide the JNDI name
    #
    ####
    print "Creating SMTP MailSessionMBean " + sessionName
    cd ("edit:/")
    startEdit()

    sessionProperties = getValue(argsDict, 'sessionProps', "mail.user=foo;mail.host=mymail.com")
  
    targetList = getValue(argsDict, 'targets', serverName).split(',')
    targetMBeans = createTargetMBeanList(targetList)
  
    session = wldfUtils.findOrCreateSMTPMailSession(sessionName, jndiName, sessionProperties)
    if len(targetMBeans) > 0:
      print "Setting targets " + str(targetList) + " on mail session " + session.getName()
      session.setTargets(targetMBeans)
  
    # activate the Mail session to publish it in JNDI  
    save()
    activate()
    print "created mail session " + sessionName  
  
  cd ("edit:/")
  startEdit()
  
  wldfRes.findOrCreateResource()
    
  name=getValue(argsDict, 'name', 'mysmtpNotif')
  recipients=getValue(argsDict, 'recipients', 'bar@mymail.com').split(',')
  print "Recipients: " + str(recipients)
  print "jndiName: " + jndiName
  wldfRes.findOrCreateSMTPNotification(name,jndiName,recipients)  
  
  save()
  activate()
  
  print "Created SMTP notification " + name

except:
  if cmgr.isEditor():
    stopEdit("y")
  raise

