# Create an SNMP Watch Notification object, and an SNMP Trap destiation 
# if desired.  If the 'trapDestName' argument is present, the domain-wide
# SNMP agent will be deployed and a trap destiination configured
#
execfile('WLDFProfiles.py')

argsDict = argsToDict(sys.argv)

connectIfNecessary(argsDict)

try:
  
  # obtain the WLDFSystemResourceMBean
  wldfResName = getValue(argsDict, 'wldfResource', 'mywldf')
    
  wldfRes = WLDFResource(wldfResName)
  wldfUtils = WLDFUtils()
  
  cd ("edit:/")
  startEdit()
  
  destName = getValue(argsDict, 'trapDestName')
  if destName is not None:
    trapPort = getValue(argsDict, 'trapPort', 4000)
    wldfUtils.findOrCreateSNMPTrapDestination(self, destName, trapPort)
  
  name=getValue(argsDict, 'name', 'mysnmpNotif')
  wldfRes.findOrCreateSNMPNotification(name)

  save()
  activate()
  
  print "Created SNMP notification " + name
    
finally:
  dumpStack()
  if cmgr.isEditor():
    stopEdit("y")
