# Destroy WLDF notifications; the target beans must be specified through the 
# script arguments listed below.
#
# Arguments:
# smtpNames='notif1,notif2,..."    A comma-separated list of SMTP notifications to destroy
# snmpNames='notif1,notif2,..."    A comma-separated list of SNMP notifications to destroy
# jmxNames='notif1,notif2,..."    A comma-separated list of JMX notifications to destroy
# jmsNames='notif1,notif2,..."    A comma-separated list of JMS notifications to destroy
#
execfile('WLDFProfiles.py')

argsDict = argsToDict(sys.argv)

connectIfNecessary(argsDict)

try:
  
  # obtain the WLDFSystemResourceMBean
  wldfResName = getValue(argsDict, 'wldfResource', 'mywldf')
  
  cd ("edit:/")
  startEdit()
  
  wldfRes = WLDFResource(wldfResName)

  smtpNames=getValue(argsDict, 'smtpNames')
  snmpNames=getValue(argsDict, 'snmpNames')
  jmxNames=getValue(argsDict, 'jmxNames')
  jmsNames=getValue(argsDict, 'jmsNames')
  
  wldfRes.destroySMTPNotifications(smtpNames)
  wldfRes.destroySNMPNotifications(snmpNames)
  wldfRes.destroyJMXNotifications(jmxNames)
  wldfRes.destroyJMXNotifications(jmsNames)
  
  save()
  activate()
  
  wldfRes.dumpResource()

finally:
  dumpStack()
  if cmgr.isEditor():
    stopEdit("y")
