<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:e="http://www.bea.com/ns/weblogic/90/diagnostics/accessor/Export">

  <xsl:output method="html"/>

  <xsl:template match="/">
    <html>
      <body>
        <table border="1">
          <tr>
            <th>Monitor</th>
            <th>Class</th>
            <th>Method</th>
            <th>Payload</th>
          </tr>
          <xsl:apply-templates/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:variable name="RECORDID" select="count(//e:ColumnInfo[e:Name='RECORDID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TIMESTAMP" select="count(//e:ColumnInfo[e:Name='TIMESTAMP']/preceding-sibling::*) + 1"/>
  <xsl:variable name="CONTEXTID" select="count(//e:ColumnInfo[e:Name='CONTEXTID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TXID" select="count(//e:ColumnInfo[e:Name='TXID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="USERID" select="count(//e:ColumnInfo[e:Name='USERID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TYPE" select="count(//e:ColumnInfo[e:Name='TYPE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="DOMAIN" select="count(//e:ColumnInfo[e:Name='DOMAIN']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SERVER" select="count(//e:ColumnInfo[e:Name='SERVER']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SCOPE" select="count(//e:ColumnInfo[e:Name='SCOPE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="MODULE" select="count(//e:ColumnInfo[e:Name='MODULE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="MONITOR" select="count(//e:ColumnInfo[e:Name='MONITOR']/preceding-sibling::*) + 1"/>
  <xsl:variable name="FILENAME" select="count(//e:ColumnInfo[e:Name='FILENAME']/preceding-sibling::*) + 1"/>
  <xsl:variable name="LINENUM" select="count(//e:ColumnInfo[e:Name='LINENUM']/preceding-sibling::*) + 1"/>
  <xsl:variable name="CLASSNAME" select="count(//e:ColumnInfo[e:Name='CLASSNAME']/preceding-sibling::*) + 1"/>
  <xsl:variable name="METHODNAME" select="count(//e:ColumnInfo[e:Name='METHODNAME']/preceding-sibling::*) + 1"/>
  <xsl:variable name="METHODDSC" select="count(//e:ColumnInfo[e:Name='METHODDSC']/preceding-sibling::*) + 1"/>
  <xsl:variable name="ARGUMENTS" select="count(//e:ColumnInfo[e:Name='ARGUMENTS']/preceding-sibling::*) + 1"/>
  <xsl:variable name="RETVAL" select="count(//e:ColumnInfo[e:Name='RETVAL']/preceding-sibling::*) + 1"/>
  <xsl:variable name="PAYLOAD" select="count(//e:ColumnInfo[e:Name='PAYLOAD']/preceding-sibling::*) + 1"/>
  <xsl:variable name="CTXPAYLOAD" select="count(//e:ColumnInfo[e:Name='CTXPAYLOAD']/preceding-sibling::*) + 1"/>
  <xsl:variable name="DYES" select="count(//e:ColumnInfo[e:Name='DYES']/preceding-sibling::*) + 1"/>
  <xsl:variable name="THREADNAME" select="count(//e:ColumnInfo[e:Name='THREADNAME']/preceding-sibling::*) + 1"/>

  <xsl:template match="e:DiagnosticData">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="e:DataInfo"/>

  <xsl:template match="e:DataRecord">
    <xsl:for-each select=".">
      <tr>
        <td><xsl:value-of select="e:ColumnData[$MONITOR]"/></td>
        <td><xsl:value-of select="e:ColumnData[$CLASSNAME]"/></td>
        <td><xsl:value-of select="e:ColumnData[$METHODNAME]"/></td>
        <td><xsl:value-of select="e:ColumnData[$PAYLOAD]"/></td>
      </tr>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>