<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:e="http://www.bea.com/ns/weblogic/90/diagnostics/accessor/Export">

  <xsl:output method="html"/>

  <xsl:template match="/">
    <html>
      <body>
        <table border="1">
          <tr>
            <th>Domain</th>
            <th>Server</th>
            <th>Type</th>
            <th>Name</th>
            <th>Attribute Name</th>
            <th>Attribute Type</th>
            <th>Attribute Value</th>
          </tr>
          <xsl:apply-templates/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:variable name="RECORDID" select="count(//e:ColumnInfo[e:Name='RECORDID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TIMESTAMP" select="count(//e:ColumnInfo[e:Name='TIMESTAMP']/preceding-sibling::*) + 1"/>
  <xsl:variable name="DOMAIN" select="count(//e:ColumnInfo[e:Name='DOMAIN']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SERVER" select="count(//e:ColumnInfo[e:Name='SERVER']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TYPE" select="count(//e:ColumnInfo[e:Name='TYPE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="NAME" select="count(//e:ColumnInfo[e:Name='NAME']/preceding-sibling::*) + 1"/>
  <xsl:variable name="ATTRNAME" select="count(//e:ColumnInfo[e:Name='ATTRNAME']/preceding-sibling::*) + 1"/>
  <xsl:variable name="ATTRTYPE" select="count(//e:ColumnInfo[e:Name='ATTRTYPE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="ATTRVALUE" select="count(//e:ColumnInfo[e:Name='ATTRVALUE']/preceding-sibling::*) + 1"/>

  <xsl:template match="e:DiagnosticData">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="e:DataInfo"/>

  <xsl:template match="e:DataRecord">
    <xsl:for-each select=".">
      <tr>
        <td><xsl:value-of select="e:ColumnData[$DOMAIN]"/></td>
        <td><xsl:value-of select="e:ColumnData[$SERVER]"/></td>
        <td><xsl:value-of select="e:ColumnData[$TYPE]"/></td>
        <td><xsl:value-of select="e:ColumnData[$NAME]"/></td>
        <td><xsl:value-of select="e:ColumnData[$ATTRNAME]"/></td>
        <td><xsl:value-of select="e:ColumnData[$ATTRTYPE]"/></td>
        <td><xsl:value-of select="e:ColumnData[$ATTRVALUE]"/></td>
      </tr>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>