<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:e="http://www.bea.com/ns/weblogic/90/diagnostics/accessor/Export">

  <xsl:output method="html"/>

  <xsl:template match="/">
    <html>
      <body>
        <table border="1">
          <tr>
            <th>Severity</th>
            <th>Thread</th>
            <th>User</th>
            <th>Context</th>
            <th>Message ID</th>
            <th>Message</th>
          </tr>
          <xsl:apply-templates/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:variable name="RECORDID" select="count(//e:ColumnInfo[e:Name='RECORDID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="DATE" select="count(//e:ColumnInfo[e:Name='DATE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SEVERITY" select="count(//e:ColumnInfo[e:Name='SEVERITY']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SUBSYSTEM" select="count(//e:ColumnInfo[e:Name='SUBSYSTEM']/preceding-sibling::*) + 1"/>
  <xsl:variable name="MACHINE" select="count(//e:ColumnInfo[e:Name='MACHINE']/preceding-sibling::*) + 1"/>
  <xsl:variable name="SERVER" select="count(//e:ColumnInfo[e:Name='SERVER']/preceding-sibling::*) + 1"/>
  <xsl:variable name="THREAD" select="count(//e:ColumnInfo[e:Name='THREAD']/preceding-sibling::*) + 1"/>
  <xsl:variable name="USERID" select="count(//e:ColumnInfo[e:Name='USERID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TXID" select="count(//e:ColumnInfo[e:Name='TXID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="CONTEXTID" select="count(//e:ColumnInfo[e:Name='CONTEXTID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="TIMESTAMP" select="count(//e:ColumnInfo[e:Name='TIMESTAMP']/preceding-sibling::*) + 1"/>
  <xsl:variable name="MSGID" select="count(//e:ColumnInfo[e:Name='MSGID']/preceding-sibling::*) + 1"/>
  <xsl:variable name="MESSAGE" select="count(//e:ColumnInfo[e:Name='MESSAGE']/preceding-sibling::*) + 1"/>

  <xsl:template match="e:DiagnosticData">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="e:DataInfo"/>

  <xsl:template match="e:DataRecord">
    <xsl:for-each select=".">
      <tr>
        <td><xsl:value-of select="e:ColumnData[$SEVERITY]"/></td>
        <td><xsl:value-of select="e:ColumnData[$THREAD]"/></td>
        <td><xsl:value-of select="e:ColumnData[$USERID]"/></td>
        <td><xsl:value-of select="e:ColumnData[$CONTEXTID]"/></td>
        <td><xsl:value-of select="e:ColumnData[$MSGID]"/></td>
        <td><xsl:value-of select="e:ColumnData[$MESSAGE]"/></td>
      </tr>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>