connect('weblogic','weblogic', 't3://localhost:7001')

edit()

print '*************************************'
print 'Creating JMS Server (sourceJMSServer)'
print '*************************************'
startEdit()	
cd('/')
cmo.createJMSServer('sourceJMSServer')
cd('/JMSServers/sourceJMSServer')
set('Targets',jarray.array([ObjectName('com.bea:Name=mainServer,Type=Server')], ObjectName))
activate()

print '*************************************'
print 'Creating JMS Module (sourceJMSModule)'
print '*************************************'
startEdit()	
cd('/')
cmo.createJMSSystemResource('sourceJMSModule')
cd('/JMSSystemResources/sourceJMSModule')
set('Targets',jarray.array([ObjectName('com.bea:Name=mainServer,Type=Server')], ObjectName))
activate()

print '*******************************'
print 'Creating SAF Agent (sourceSAFAgent)'
print '*******************************'
startEdit()
cd('/')
cmo.createSAFAgent('sourceSAFAgent')
cd('/SAFAgents/sourceSAFAgent')
set('Targets',jarray.array([ObjectName('com.bea:Name=mainServer,Type=Server')], ObjectName))
set('ServiceType','Sending-only')
cd('/SAFAgents/sourceSAFAgent/JMSSAFMessageLogFile/sourceSAFAgent')
set('FileCount','10')
set('NumberOfFilesLimited','true')
activate()

print '****************************'
print 'Creating JMS SubDeployments '
print '****************************'
startEdit()	
cd('/')
cd('/SystemResources/sourceJMSModule')
cmo.createSubDeployment('sourceSubDeployment')
cd('/SystemResources/sourceJMSModule/SubDeployments/sourceSubDeployment')
set('Targets',jarray.array([ObjectName('com.bea:Name=sourceJMSServer,Type=JMSServer')], ObjectName))
cd('/SystemResources/sourceJMSModule')
cmo.createSubDeployment('sourceSAFSubDeployment')
cd('/SystemResources/sourceJMSModule/SubDeployments/sourceSAFSubDeployment')
set('Targets',jarray.array([ObjectName('com.bea:Name=sourceSAFAgent,Type=SAFAgent')], ObjectName))
activate()

print '************************************************************'
print 'Configuring JMS Connection Factory (sourceConnectionFactory)'
print '************************************************************'
startEdit()
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule')
cmo.createConnectionFactory('sourceConnectionFactory')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/ConnectionFactories/sourceConnectionFactory')
cmo.setJNDIName('sourceConnectionFactory')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/ConnectionFactories/sourceConnectionFactory/SecurityParams/sourceConnectionFactory')
cmo.setAttachJMSXUserId(false)
cd('/SystemResources/sourceJMSModule/SubDeployments/sourceSubDeployment')
set('Targets',jarray.array([ObjectName('com.bea:Name=sourceJMSServer,Type=JMSServer')], ObjectName))
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/ConnectionFactories/sourceConnectionFactory')
cmo.setSubDeploymentName('sourceSubDeployment')
activate()

print '****************************************************'
print 'Creating SAF Remote Context (sourceSAFRemoteContext)'
print '****************************************************'
startEdit()
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule')
cmo.createSAFRemoteContext('sourceSAFRemoteContext')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFRemoteContexts/sourceSAFRemoteContext')
cmo.setCompressionThreshold(2147483647)
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFRemoteContexts/sourceSAFRemoteContext/SAFLoginContext/sourceSAFRemoteContext')
cmo.setLoginURL('t3://localhost:5003')
cmo.setUsername('weblogic')
setEncrypted('Password', 'Password_1221617477062', 'createSAFsourceConfig', 'createSAFsourceSecret')
activate()

print '**************************************************'
print 'Creating SAF Error Handler (sourceSAFErroHandling)'
print '**************************************************'
startEdit()
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule')
cmo.createSAFErrorHandling('sourceSAFErrorHandling')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFErrorHandlings/sourceSAFErrorHandling')
cmo.setSAFErrorDestination(None)
cmo.setPolicy('Log')
cmo.setLogFormat(None)
activate()

print '****************************************************************'
print 'Creating SAF Imported Destinations (sourceSAFImportedDestinations)'
print '****************************************************************'
startEdit()
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule')
cmo.createSAFImportedDestinations('sourceSAFImportedDestinations')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFImportedDestinations/sourceSAFImportedDestinations')
cmo.setJNDIPrefix(None)
cmo.setSAFRemoteContext(getMBean('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFRemoteContexts/sourceSAFRemoteContext'))
cmo.setSAFErrorHandling(getMBean('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFErrorHandlings/sourceSAFErrorHandling'))
cmo.setTimeToLiveDefault(0)
cmo.setUseSAFTimeToLiveDefault(false)
cd('/SystemResources/sourceJMSModule/SubDeployments/sourceSAFSubDeployment')
set('Targets',jarray.array([ObjectName('com.bea:Name=sourceSAFAgent,Type=SAFAgent')], ObjectName))
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFImportedDestinations/sourceSAFImportedDestinations')
cmo.setSubDeploymentName('sourceSAFSubDeployment')
activate()

print '****************************************************************'
print 'Creating SAF Remote Queue (remoteQueue)'
print '****************************************************************'
startEdit()
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFImportedDestinations/sourceSAFImportedDestinations')
cmo.createSAFQueue('remoteQueue')
cd('/JMSSystemResources/sourceJMSModule/JMSResource/sourceJMSModule/SAFImportedDestinations/sourceSAFImportedDestinations/SAFQueues/remoteQueue')
cmo.setRemoteJNDIName('remoteQueue')
activate()

print '*********************************'
print 'SAF Source Configuration Complete'
print '*********************************'

disconnect()
exit()